Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.faults
Class TransportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.bea.wsrp.faults.TransportException

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  AccessDeniedException, ExportByValueNotSupportedException, ExportNoLongerValidException, InconsistentParametersException, InvalidCookieException, InvalidHandleException, InvalidRegistrationException, InvalidSessionException, InvalidUserCategoryException, MissingParametersException, ModifyRegistrationRequiredException, OperationFailedException, OperationNotSupportedException, PortletStateChangeRequiredException, ResourceSuspendedException, UnsupportedLocaleException, UnsupportedMimeTypeException, UnsupportedModeException, UnsupportedWindowStateException

    public class TransportException

extends RemoteException
implements Cloneable

Base class of all WSRP wirelevel exceptions.

See Also
  Serialized Form
  This class is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this class without notice. Extensions of this class by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`TransportException()`
`TransportException(Element faultElement)`
`TransportException(String message)`
`TransportException(String message, Throwable cause)`

Method Summary
`Object` | `clone()`
`String` | `faultType()` Get the localPart of the fault code
`String` | `getDetailStackTrace()` Get the stack trace of the fault on the producer
`org.xmlsoap.schemas.soap.envelope.Fault` | `getFault()` Deprecated use getFaultElement()
`QName` | `getFaultCode()`
`Element` | `getFaultElement()` Get the fault's as a DOM element
`String` | `getFaultString()`
`String` | `getMessage()`
`Throwable` | `initCause(Throwable cause)`
`void` | `setFault(org.xmlsoap.schemas.soap.envelope.Fault fault)` Deprecated users should not set the fault

Methods inherited from class java.rmi.RemoteException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransportException

    public TransportException()

### TransportException

    public TransportException(Element faultElement)

### TransportException

    public TransportException(String message)

### TransportException

    public TransportException(String message,
                              Throwable cause)

Method Detail

### setFault

    @Deprecated
    public void setFault(org.xmlsoap.schemas.soap.envelope.Fault fault)

  Deprecated users should not set the fault

  Does nothing DO NOT USE

  Parameters
    `fault` - the fault to set

### getFault

    @Deprecated
    public org.xmlsoap.schemas.soap.envelope.Fault getFault()

  Deprecated use getFaultElement()

  Get the Fault as an XBean

  Returns
    the fault
  See Also
    `getFaultElement()`, `Fault`

### getFaultElement

    public Element getFaultElement()

  Get the fault's as a DOM element

  Returns
    the element represeing: <fault>

### faultType

    public String faultType()

  Get the localPart of the fault code

  Returns
    the faultCode's localpart

### getFaultCode

    public final QName getFaultCode()

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `RemoteException`

### initCause

    public Throwable initCause(Throwable cause)

  Overrides:
    `initCause` in class `Throwable`

### getDetailStackTrace

    public String getDetailStackTrace()

  Get the stack trace of the fault on the producer

  Returns
    the stack trace or null if the producer is not a WLP producer

### getFaultString

    public String getFaultString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.